package com.acme.structure.exception.persistent;

import com.acme.structure.exception.base.ApplicationException;
import com.acme.structure.exception.base.InfrastructureException;

public class NoRecordFoundException extends InfrastructureException
{
    public NoRecordFoundException()
    {
        exceptionCode = "10";
        exceptionType = ApplicationException.EXCEPTION_TYPE_WARNING;
    }

    public NoRecordFoundException(String reason)
    {
        this.reason = reason;
        exceptionCode = "10";
        exceptionType = ApplicationException.EXCEPTION_TYPE_WARNING;
    }

    @Override
    public String getReason()
    {
        return reason;
    }
}
